%define subrel GA

%define as_major 5
%define as_minor 1
%define as_rev 2
%define jbossas_version %{as_major}.%{as_minor}.%{as_rev}
%define ws_cxf_ver 3.1.2
%define ws_cxf_reltag SP9

%define ws_option_rel 1

%define jbossdir %{_localstatedir}/lib/jbossas
%define jbhomedir %{_datadir}/jbossas
%define jbjavadir %{_javadir}/jbossas

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

Name:           jbossas-ws-cxf
Version:        %{jbossas_version}
Release:        8%{?dist}
Epoch:          0
Summary:        JBossas CXF
License:        LGPLv2+
Group:          Development/Installer
URL:            http://www.jboss.org/

# svn export https://svn.jboss.org/repos/jbossws/stack/cxf/tags/jbossws-cxf-3.1.2.SP9/ jbossws-cxf
# Exported revision 14895.
# tar czf jbossws-cxf-3.1.2.SP9-src.tgz jbossws-cxf
#(from jbossws-cxf/JB-EAP-5-RHEL-6)
Source0: jbossws-cxf-%{ws_cxf_ver}.SP9-src.tgz

Conflicts:      jbossas-web-ws-native
Conflicts:      jbossas-ws-native
Provides:       jbossas-ws-stack = %{epoch}:%{version}-%{ws_option_rel}
Requires:       apache-cxf >= 0:2.2.12
Requires:       codehaus-stax-api >= 0:1.2.0
Requires:       glassfish-jaxws >= 0:2.1.3
Requires:       jakarta-commons-collections >= 0:3.1
Requires:       jakarta-commons-lang >= 0:2.1
Requires:       jaxrpc_1_1_api
Requires:       jettison >= 0:1.2
Requires:       ws-commons-neethi
Requires:       objectweb-asm >= 0:3.1
Requires:       spring2-beans >= 0:2.5.6
Requires:       spring2-context >= 0:2.5.6
Requires:       spring2-core >= 0:2.5.6
Requires:       stax-ex >= 0:1.2
Requires:       sun-ws-metadata-2.0-api
Requires:       sun-xmlstreambuffer
Requires:       velocity >= 0:1.5
Requires:       ws-commons-XmlSchema >= 0:1.4.5
Requires:       wss4j >= 0:1.5.7
BuildRequires:  ant
BuildRequires:  jpackage-utils,zip,unzip
BuildRequires:  jbossas-zip = %{as_major}.%{as_minor}.%{as_rev}
BuildRequires:  jbossws-cxf-zip >= %{ws_cxf_ver}-4.%{ws_cxf_reltag}
BuildRequires:  apache-cxf >= 0:2.2.2
BuildRequires: codehaus-stax-api >= 0:1.2.0
# gf-jaxws -> jaxws-api
BuildRequires:  glassfish-jaxws >= 0:2.1.3
BuildRequires:  jakarta-commons-collections >= 0:3.1
BuildRequires: 	jakarta-commons-lang >= 0:2.1
BuildRequires:  jettison >= 0:1.2
BuildRequires:  jboss-jaxrpc-api_1.1_spec
BuildRequires:  ws-commons-neethi
BuildRequires:  objectweb-asm >= 0:3.1
BuildRequires:  spring2-beans >= 0:2.5.6
BuildRequires:  spring2-context >= 0:2.5.6
BuildRequires:  spring2-core >= 0:2.5.6
BuildRequires:  stax-ex >= 0:1.2
# sun-ws-metadata-2.0-api -> jsr181-api
BuildRequires:  sun-ws-metadata-2.0-api
BuildRequires:  sun-xmlstreambuffer
BuildRequires:  velocity >= 0:1.5
BuildRequires:  ws-commons-XmlSchema >= 0:1.4.5
BuildRequires:  wss4j >= 0:1.5.7
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This package is a container for the JBossas CXF files.

%prep
find . -name "*.jar" -exec rm -f {} \;

%build
mkdir jbossas-ws-cxf-%{as_major}.%{as_minor}
pushd jbossas-ws-cxf-%{as_major}.%{as_minor}
    unzip -q %{_javadir}/jbossas-fordev/jbossas-%{as_major}.%{as_minor}.%{as_rev}*-withauth.zip

    cd jboss-as
    unzip -q %{_javadir}/jbossas-fordev/jbossws-cxf-%{ws_cxf_ver}*.zip
popd

export JBOSS_HOME=$(pwd)/jbossas-ws-cxf-%{as_major}.%{as_minor}/jboss-as

# Run jbossws-cxf installer from JBOSS_HOME/jbossws-cxf-installer
pushd ${JBOSS_HOME}/jbossws-cxf-installer
    export CLASSPATH=
    export OPT_JAR_LIST=:
    %{ant} install
popd

%install
rm -rf $RPM_BUILD_ROOT

export JBOSS_HOME=$(pwd)/jbossas-ws-cxf-%{as_major}.%{as_minor}/jboss-as

# Files to copy and version to /usr/share/java/jbossas (all built files)
install -dm 755 $RPM_BUILD_ROOT%{jbjavadir}
install ${JBOSS_HOME}/client/jbossws-cxf-client.jar $RPM_BUILD_ROOT%{jbjavadir}/jbossws-cxf-client.jar
install ${JBOSS_HOME}/server/all/deployers/jbossws.deployer/jbossws-cxf-server.jar $RPM_BUILD_ROOT%{jbjavadir}/jbossws-cxf-server.jar

install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/bin
for script in wsconsume wsrunclient wsprovide; do
  install -p -m 0755 ${JBOSS_HOME}/bin/${script}.sh $RPM_BUILD_ROOT%{jbossdir}/bin/${script}.sh
done

install -d -p -m 755 $RPM_BUILD_ROOT%{jbossdir}/server
install -d -p -m 755 $RPM_BUILD_ROOT%{jbhomedir}/client

# On RHEL-6 the signed JARs are on a different place
export JPP_SIGNED=2

# Activate installation of stax-api.jar in endorsed dir
install -d -p -m 755 $RPM_BUILD_ROOT%{jbhomedir}/lib/endorsed
ln -s $(build-classpath codehaus-stax-api.jar) $RPM_BUILD_ROOT%{jbhomedir}/lib/endorsed/stax-api.jar
install ${JBOSS_HOME}/server/all/deployers/jbossws.deployer/jbossws-cxf-factories.jar $RPM_BUILD_ROOT%{jbhomedir}/lib/endorsed/jbossws-cxf-factories.jar


for config in all default production standard web; do
install -d -p -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deploy/jbossws.sar/jbossws-management.war/WEB-INF
install ${JBOSS_HOME}/server/${config}/deploy/jbossws.sar/jbossws-management.war/index.html $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deploy/jbossws.sar/jbossws-management.war
install ${JBOSS_HOME}/server/${config}/deploy/jbossws.sar/jbossws-management.war/styles.css $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deploy/jbossws.sar/jbossws-management.war
install ${JBOSS_HOME}/server/${config}/deploy/jbossws.sar/jbossws-management.war/WEB-INF/jboss-web.xml $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deploy/jbossws.sar/jbossws-management.war/WEB-INF
install ${JBOSS_HOME}/server/${config}/deploy/jbossws.sar/jbossws-management.war/WEB-INF/web.xml $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deploy/jbossws.sar/jbossws-management.war/WEB-INF
install -d -p -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/META-INF
install ${JBOSS_HOME}/server/${config}/deployers/jbossws.deployer/META-INF/jboss-beans.xml $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/META-INF
install -d -p -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.cxf/jbossws-cxf-management
install ${JBOSS_HOME}/server/${config}/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.cxf/jbossws-cxf-management/* $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deploy/jbossws.sar/jbossws-management.war/META-INF/maven/org.jboss.ws.cxf/jbossws-cxf-management
ln -s $(build-classpath apache-cxf/cxf-api.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-api.jar
ln -s $(build-classpath apache-cxf/cxf-common-schemas.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-common-schemas.jar
ln -s $(build-classpath apache-cxf/cxf-common-utilities.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-common-utilities.jar
ln -s $(build-classpath apache-cxf/cxf-rt-bindings-coloc.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-bindings-coloc.jar
ln -s $(build-classpath apache-cxf/cxf-rt-bindings-corba.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-bindings-corba.jar
ln -s $(build-classpath apache-cxf/cxf-rt-bindings-http.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-bindings-http.jar
ln -s $(build-classpath apache-cxf/cxf-rt-bindings-object.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-bindings-object.jar
ln -s $(build-classpath apache-cxf/cxf-rt-bindings-soap.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-bindings-soap.jar
ln -s $(build-classpath apache-cxf/cxf-rt-bindings-xml.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-bindings-xml.jar
ln -s $(build-classpath apache-cxf/cxf-rt-core.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-core.jar
ln -s $(build-classpath apache-cxf/cxf-rt-databinding-aegis.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-databinding-aegis.jar
ln -s $(build-classpath apache-cxf/cxf-rt-databinding-jaxb.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-databinding-jaxb.jar
ln -s $(build-classpath apache-cxf/cxf-rt-frontend-jaxws.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-frontend-jaxws.jar
ln -s $(build-classpath apache-cxf/cxf-rt-frontend-simple.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-frontend-simple.jar
ln -s $(build-classpath apache-cxf/cxf-rt-javascript.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-javascript.jar
ln -s $(build-classpath apache-cxf/cxf-rt-management.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-management.jar
ln -s $(build-classpath apache-cxf/cxf-rt-transports-http.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-transports-http.jar
ln -s $(build-classpath apache-cxf/cxf-rt-transports-http-jetty.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-transports-http-jetty.jar
ln -s $(build-classpath apache-cxf/cxf-rt-transports-jms.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-transports-jms.jar
ln -s $(build-classpath apache-cxf/cxf-rt-transports-local.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-transports-local.jar
ln -s $(build-classpath apache-cxf/cxf-rt-ws-addr.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-ws-addr.jar
ln -s $(build-classpath apache-cxf/cxf-rt-ws-policy.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-ws-policy.jar
ln -s $(build-classpath apache-cxf/cxf-rt-ws-rm.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-ws-rm.jar
ln -s $(build-classpath apache-cxf/cxf-rt-ws-security.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-rt-ws-security.jar
ln -s $(build-classpath apache-cxf/cxf-tools-common.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-tools-common.jar
ln -s $(build-classpath apache-cxf/cxf-tools-java2ws.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-tools-java2ws.jar
ln -s $(build-classpath apache-cxf/cxf-tools-validator.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-tools-validator.jar
ln -s $(build-classpath apache-cxf/cxf-tools-wsdlto-core.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-tools-wsdlto-core.jar
ln -s $(build-classpath apache-cxf/cxf-tools-wsdlto-databinding-jaxb.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-tools-wsdlto-databinding-jaxb.jar
ln -s $(build-classpath apache-cxf/cxf-tools-wsdlto-frontend-jaxws.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-tools-wsdlto-frontend-jaxws.jar
ln -s $(build-classpath apache-cxf/cxf-xjc-boolean.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-xjc-boolean.jar
ln -s $(build-classpath apache-cxf/cxf-xjc-bug671.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-xjc-bug671.jar
ln -s $(build-classpath apache-cxf/cxf-xjc-dv.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-xjc-dv.jar
ln -s $(build-classpath apache-cxf/cxf-xjc-ts.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/cxf-xjc-ts.jar
#ln -s $(build-classpath jaxrpc_1_1_api) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/jaxrpc-api.jar
#link to the real JAR instead of the alternative one so that it is signed
ln -s $(build-classpath jboss-jaxrpc-api_1.1_spec/jboss-jaxrpc-api_1.1_spec) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/jaxrpc-api.jar
ln -s $(build-classpath sun-jaxws/jaxws-api.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/jaxws-api.jar
ln -sf %{jbjavadir}/jbossws-cxf-client.jar $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/jbossws-cxf-client.jar
ln -sf %{jbjavadir}/jbossws-cxf-server.jar $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/jbossws-cxf-server.jar
ln -sf %{jbhomedir}/lib/endorsed/jbossws-cxf-factories.jar $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/jbossws-cxf-factories.jar
ln -s $(build-classpath sun-ws-metadata-2.0-api.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/jsr181-api.jar
ln -s $(build-classpath neethi.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/neethi.jar
ln -s $(build-classpath spring2/beans.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/spring-beans.jar
ln -s $(build-classpath spring2/context.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/spring-context.jar
ln -s $(build-classpath spring2/core.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/spring-core.jar
ln -s $(build-classpath wss4j.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/wss4j.jar
ln -s $(build-classpath ws-commons-XmlSchema.jar) $RPM_BUILD_ROOT%{jbossdir}/server/${config}/deployers/jbossws.deployer/XmlSchema.jar
done

ln -s $(build-classpath objectweb-asm/asm.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/asm.jar
ln -s $(build-classpath commons-collections.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/commons-collections.jar
ln -s $(build-classpath commons-lang.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/commons-lang.jar
ln -s $(build-classpath apache-cxf/cxf-api.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-api.jar
ln -s $(build-classpath apache-cxf/cxf-common-schemas.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-common-schemas.jar
ln -s $(build-classpath apache-cxf/cxf-common-utilities.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-common-utilities.jar
ln -s $(build-classpath apache-cxf/cxf-rt-bindings-coloc.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-bindings-coloc.jar
ln -s $(build-classpath apache-cxf/cxf-rt-bindings-corba.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-bindings-corba.jar
ln -s $(build-classpath apache-cxf/cxf-rt-bindings-http.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-bindings-http.jar
ln -s $(build-classpath apache-cxf/cxf-rt-bindings-object.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-bindings-object.jar
ln -s $(build-classpath apache-cxf/cxf-rt-bindings-soap.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-bindings-soap.jar
ln -s $(build-classpath apache-cxf/cxf-rt-bindings-xml.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-bindings-xml.jar
ln -s $(build-classpath apache-cxf/cxf-rt-core.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-core.jar
ln -s $(build-classpath apache-cxf/cxf-rt-databinding-aegis.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-databinding-aegis.jar
ln -s $(build-classpath apache-cxf/cxf-rt-databinding-jaxb.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-databinding-jaxb.jar
ln -s $(build-classpath apache-cxf/cxf-rt-frontend-jaxws.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-frontend-jaxws.jar
ln -s $(build-classpath apache-cxf/cxf-rt-frontend-simple.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-frontend-simple.jar
ln -s $(build-classpath apache-cxf/cxf-rt-javascript.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-javascript.jar
ln -s $(build-classpath apache-cxf/cxf-rt-management.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-management.jar
ln -s $(build-classpath apache-cxf/cxf-rt-transports-http.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-transports-http.jar
ln -s $(build-classpath apache-cxf/cxf-rt-transports-http-jetty.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-transports-http-jetty.jar
ln -s $(build-classpath apache-cxf/cxf-rt-transports-jms.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-transports-jms.jar
ln -s $(build-classpath apache-cxf/cxf-rt-transports-local.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-transports-local.jar
ln -s $(build-classpath apache-cxf/cxf-rt-ws-addr.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-ws-addr.jar
ln -s $(build-classpath apache-cxf/cxf-rt-ws-policy.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-ws-policy.jar
ln -s $(build-classpath apache-cxf/cxf-rt-ws-rm.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-ws-rm.jar
ln -s $(build-classpath apache-cxf/cxf-rt-ws-security.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-rt-ws-security.jar
ln -s $(build-classpath apache-cxf/cxf-tools-common.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-tools-common.jar
ln -s $(build-classpath apache-cxf/cxf-tools-java2ws.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-tools-java2ws.jar
ln -s $(build-classpath apache-cxf/cxf-tools-validator.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-tools-validator.jar
ln -s $(build-classpath apache-cxf/cxf-tools-wsdlto-core.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-tools-wsdlto-core.jar
ln -s $(build-classpath apache-cxf/cxf-tools-wsdlto-databinding-jaxb.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-tools-wsdlto-databinding-jaxb.jar
ln -s $(build-classpath apache-cxf/cxf-tools-wsdlto-frontend-jaxws.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-tools-wsdlto-frontend-jaxws.jar
ln -s $(build-classpath apache-cxf/cxf-xjc-boolean.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-xjc-boolean.jar
ln -s $(build-classpath apache-cxf/cxf-xjc-bug671.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-xjc-bug671.jar
ln -s $(build-classpath apache-cxf/cxf-xjc-dv.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-xjc-dv.jar
ln -s $(build-classpath apache-cxf/cxf-xjc-ts.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/cxf-xjc-ts.jar
ln -sf %{jbjavadir}/jbossws-cxf-client.jar $RPM_BUILD_ROOT%{jbhomedir}/client/jbossws-cxf-client.jar
ln -s $(build-classpath neethi.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/neethi.jar
ln -s $(build-classpath spring2/beans.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/spring-beans.jar
ln -s $(build-classpath spring2/context.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/spring-context.jar
ln -s $(build-classpath spring2/core.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/spring-core.jar
ln -s $(build-classpath velocity.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/velocity.jar
ln -s $(build-classpath ws-commons-XmlSchema.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/XmlSchema.jar
ln -s $(build-classpath jettison.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/jettison.jar
ln -s $(build-classpath stax-ex.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/stax-ex.jar
ln -s $(build-classpath streambuffer.jar) $RPM_BUILD_ROOT%{jbhomedir}/client/streambuffer.jar

%clean
rm -rf $RPM_BUILD_ROOT

%pre
JBOSS_SHELL=/sbin/nologin
%{_sbindir}/groupadd -r jboss 2>/dev/null || :
%{_sbindir}/useradd -c JBossAS -r -s $JBOSS_SHELL -d %{jbossdir} -g jboss jboss 2>/dev/null || :

%files
%defattr(0644,jboss,jboss,0755)
%dir %{jbjavadir}
%{jbjavadir}/*.jar
%dir %{_javadir}
%{_javadir}/jbossas/*.jar
%dir %{jbhomedir}
%{jbhomedir}/client
%dir %{jbossdir}
%{jbossdir}/bin
%dir %{jbhomedir}/lib/endorsed
%{jbhomedir}/lib/endorsed/stax-api.jar
%{jbhomedir}/lib/endorsed/jbossws-cxf-factories.jar

%attr(0755,jboss,jboss) %{jbossdir}/bin/wsconsume.sh
%attr(0755,jboss,jboss) %{jbossdir}/bin/wsrunclient.sh
%attr(0755,jboss,jboss) %{jbossdir}/bin/wsprovide.sh
%{jbossdir}/server

%changelog
* Tue Nov 08 2011 Martha Benitez <mbenitez@redhat.com> - 0:5.1.2-8
- Rebuild

* Fri Nov 04 2011 Martha Benitez <mbenitez@redhat.com> - 0:5.1.2-7
- 5.1.2 ER2

* Tue Oct 25 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> - 0:5.1.2-6
- JBPAPP-7304 dist-diff difference (ZIP vs RPM) in stax-api.jar
- fixed it by moving export JPP_SIGNED=2 to include stax-api

* Fri Oct 14 2011 Martha Benitez <mbenitez@redhat.com> - 0:5.1.2-5
- JBPAPP-7124 restore client jars

* Thu Sep 29 2011 Martha Benitez <mbenitez@redhat.com> - 0:5.1.2-4
- Install jbossws-cxf-factories in lib/endorsed

* Thu Sep 29 2011 Martha Benitez <mbenitez@redhat.com> - 0:5.1.2-3
- Install jbossws-cxf-factories

* Tue Sep 20 2011 Martha Benitez <mbenitez@redhat.com> - 0:5.1.2-2.1
- Rebuild

* Mon Sep 19 2011 Martha Benitez <mbenitez@redhat.com> - 0:5.1.2-2
- Rebuild

* Wed Sep 14 2011 Permaine Cheung <pcheung@redhat.com> 0:5.1.2-1
- 5.1.2 build

* Mon Jun 6 2011 Yiqiao Wang <yiwang@redhat.com> - 0:5.1.1-5.3
- Rebuild

* Mon May 16 2011 Martha Benitez <mbenitez@redhat.com> - 0:5.1.1-5.2
- Rebuild with fixed jbossws-cxf

* Thu May 12 2011 Martha Benitez <mbenitez@redhat.com> - 0:5.1.1-5.1
- Activate installation of stax-api.jar in endorsed dir
- Comment out some files not found in this build

* Mon Apr 11 2011 Permaine Cheung <pcheung@redhat.com> 0:5.1.1-4
- Link to real jaxrpc jar instead of alternative link

* Mon Apr 11 2011 Permaine Cheung <pcheung@redhat.com> 0:5.1.1-3
- Install signed jars

* Thu Mar 31 2011 Yiqiao Wang <yiwang@redhat.com> 0:5.1.1-1
- 5.1.1 
- Merge with JB-EAP-5-RHEL-6

* Fri Sep 10 2010 Fernando Nasser <fnasser@redhat.com> - 0:5.1.0-16
- Remove SAAJ
- Rebuild with new jbossws-cxf and new glassfish-jaxws for built-in-brew JARs

* Mon Aug 30 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-15
- Rebuild

* Fri Aug 27 2010 Fernando Nasser <fnasser@redhat.com> - 0:5.1.0-14
- Rebuild

* Fri Aug 27 2010 Permaine Cheung <pcheung@redhat.com> - 0:5.1.0-13
- Rebuild

* Fri Aug 27 2010 Fernando Nasser <fnasser@redhat.com> - 0:5.1.0-12
- Rebuild

* Fri Jul 23 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-11
- Add loop to fill in files for server profiles

* Wed Jul 21 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-10
- Remove subpackages
- Remove re-creation of symlinks to shell scripts
- Change default permissions of main package

* Fri Jul 16 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-9
- Remove extra profiles from te ewp subpackage

* Thu Jul 15 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-8
- Create subpackages for EAP and EWP

* Thu Jul 15 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-7
- Add statements for conflicting packages

* Mon Jul 05 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-6
- Add creation of jboss group and user

* Wed Jun 30 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-5
- Fix provides: jbossas-ws-stack

* Wed Jun 30 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-4
- Fix Provides to specify a unique build
- Adjust version assignments

* Mon Jun 28 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-3
- Change (B)R neethi to ws-commons-neethi

* Thu Jun 24 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-2
- Fix location of cxf jar files
- Fix classpath for one symlink in production dir 
- Remove *.bat files
- Add bindir

* Wed Jun 23 2010 Martha Benitez <mbenitez@redhat.com> 0:5.1.0-1
- First build
